Bug 1394174 - Review Request: perl-XML-Spice - Generating XML in Perl way
Summary: Review Request: perl-XML-Spice - Generating XML in Perl way
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1394242 1394252 1394262
TreeView+ depends on / blocked
 
Reported: 2016-11-11 10:31 UTC by Petr Pisar
Modified: 2017-02-15 20:53 UTC (History)
2 users (show)

Fixed In Version: perl-XML-Spice-0.05-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-15 20:50:38 UTC
jplesnik: fedora-review+


Attachments (Terms of Use)

Description Petr Pisar 2016-11-11 10:31:26 UTC
Spec URL: https://ppisar.fedorapeople.org/perl-XML-Spice/perl-XML-Spice.spec
SRPM URL: https://ppisar.fedorapeople.org/perl-XML-Spice/perl-XML-Spice-0.04-1.fc26.src.rpm
Description:
XML::Spice is yet another XML generation Perl module. It tries to take some of
the pain out of generating XML by making it more like Perl.

Fedora Account System Username: ppisar

Comment 1 Jitka Plesnikova 2016-11-15 09:35:59 UTC
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-XML-Spice-0.04-1.fc26.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.24.0)
      1 perl(:VERSION) >= 5.8.0
      1 perl(Carp)
      1 perl(overload)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-XML-Spice-0.04-1.fc26.noarch.rpm | sort | uniq -c
      1 perl(XML::Spice) = 0.04
      1 perl-XML-Spice = 0.04-1.fc26
Binary provides are Ok.

$ rpmlint ./perl-XML-Spice*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Rpmlint is ok

FIX: The latest version is 0.05, please update the package before submit.
     It contains update of licenses. The license tag should be changed to
     'GPL+ or Artistic'
     Makefile.PL was changed and the BRs needs to be updated.

Please correct 'FIX' issue and provide new spec file.

The package is not approved.

Comment 3 Jitka Plesnikova 2016-11-15 12:51:27 UTC
$ rpmlint ./perl-XML-Spice.spec ./perl-XML-Spice-0.05-1.fc26.*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Rpmlint is ok
 
> FIX: The latest version is 0.05, please update the package before submit.
-Version:        0.04
+Version:        0.05
Ok

>      It contains update of licenses. The license tag should be changed to
>      'GPL+ or Artistic'
-License:        Artistic 2.0 and (GPL+ or Artistic)
+License:        GPL+ or Artistic
Ok

>      Makefile.PL was changed and the BRs needs to be updated.
-BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.30
+BuildRequires:  perl(:VERSION) >= 5.8.0
+# CPAN::Meta::Requirements 2.120620 not used
+BuildRequires:  perl(ExtUtils::MakeMaker)
+BuildRequires:  perl(Module::Metadata)
...
-perl Makefile.PL INSTALLDIRS=vendor
+perl Makefile.PL INSTALLDIRS=vendor </dev/null
Ok


The package is approved.

Comment 4 Gwyn Ciesla 2016-11-15 14:21:53 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-XML-Spice

Comment 5 Petr Pisar 2016-11-16 08:58:13 UTC
Thank you for the review and the repository.

Comment 6 Fedora Update System 2016-11-16 08:58:31 UTC
perl-XML-Spice-0.05-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1fb58d68c4

Comment 7 Fedora Update System 2016-11-16 08:58:43 UTC
perl-XML-Spice-0.05-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a19778f161

Comment 8 Fedora Update System 2016-11-16 20:26:15 UTC
perl-XML-Spice-0.05-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1fb58d68c4

Comment 9 Fedora Update System 2016-11-17 03:57:55 UTC
perl-XML-Spice-0.05-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a19778f161

Comment 10 Fedora Update System 2016-11-21 15:03:31 UTC
perl-Net-DAVTalk-0.11-1.fc25 perl-XML-Spice-0.05-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1fb58d68c4

Comment 11 Fedora Update System 2016-11-21 15:05:41 UTC
perl-Net-DAVTalk-0.11-1.fc24 perl-XML-Spice-0.05-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a19778f161

Comment 12 Fedora Update System 2016-11-23 20:30:40 UTC
perl-Net-DAVTalk-0.11-1.fc24, perl-XML-Spice-0.05-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a19778f161

Comment 13 Fedora Update System 2016-11-23 23:05:01 UTC
perl-Net-DAVTalk-0.11-1.fc25, perl-XML-Spice-0.05-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1fb58d68c4

Comment 14 Fedora Update System 2016-11-25 13:40:16 UTC
perl-Net-DAVTalk-0.12-1.fc25 perl-XML-Spice-0.05-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1fb58d68c4

Comment 15 Fedora Update System 2016-11-25 13:41:21 UTC
perl-Net-DAVTalk-0.12-1.fc24 perl-XML-Spice-0.05-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a19778f161

Comment 16 Fedora Update System 2016-11-27 22:58:00 UTC
perl-Net-DAVTalk-0.12-1.fc25, perl-XML-Spice-0.05-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1fb58d68c4

Comment 17 Fedora Update System 2016-11-28 01:55:00 UTC
perl-Net-DAVTalk-0.12-1.fc24, perl-XML-Spice-0.05-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a19778f161

Comment 18 Fedora Update System 2017-02-15 20:50:38 UTC
perl-Net-DAVTalk-0.12-1.fc24, perl-XML-Spice-0.05-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2017-02-15 20:53:03 UTC
perl-Net-DAVTalk-0.12-1.fc25, perl-XML-Spice-0.05-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.